#include "avd_howtodo.h"
#include "log2ui.h"
#include "use_engine.h"
#include "use_room.h"

///
avd_howtodo::avd_howtodo(QWidget *parent)
	: QMainWindow(parent)
{
	ui.setupUi(this);
	connect(MsgHandlerWapper::instance(), SIGNAL(message(QtMsgType, QString)), SLOT(outputMessage(QtMsgType, QString)));
}

avd_howtodo::~avd_howtodo()
{

}

///
void avd_howtodo::outputMessage(QtMsgType type, const QString &msg) {
	if (!ui.txt_operateLog) {
		return;
	}
	ui.txt_operateLog->append(msg);
}



